<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='28' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
    {
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <?php include ('head.php'); ?>
</head>
<body>
<?php
$inicio="";
$M_inventario="";
$M_contactos="";
$M_compras="";
$M_ventas="";
$M_pedidos="";
$M_pos="";
$R_reportes="active";

$ventas="";
$caja="";
$compra="";
$contactos="";
$inventario="active";
$utilidad="";
include ('menu.php');
?> 
    
<div class="main">
    <div class="col-md-2">
        <?php include ('include/menu_reportes.php');?>
    </div>
    <div class="col-md-10">
        <div class="widget stacked">
            <div class="widget-content">
                <div class="widget stacked">
                    <div class="widget-content">
                        <?php include ('php_reportes/menu_inventario.php');?>  
                    </div>
                </div>
                <div class="widget stacked widget-table action-table">
                    <div class="widget-content">
                        
<?php 
$sql11=mysqli_query($con,"SELECT * FROM articulos order by art_id asc");
while ($row0=mysqli_fetch_array($sql11))
{
    $art_id=$row0['art_id'];
    $art_referencia=$row0['art_referencia'];
    $art_nombre=$row0['art_nombre'];
  

$sql=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where articulos_art_id='$art_id' ");
while ($row=mysqli_fetch_array($sql))
{
    $art_art_id=$row['art_id'];
    $art_cantidad=$row['art_cantidad'];
    $atributo1=$row['atributo1'];
    $atributo2=$row['atributo2'];

    $atri1=mysqli_query($con,"SELECT * FROM atributos1 where atri_art_id='$art_id' and atri_id='$atributo1'");
    $atri1 = mysqli_fetch_array($atri1);
    if (isset($atri1['atri_nombre'])) { 
        $atri1_id=$atri1['atri_id']; 
        $atri1=$atri1['atri_nombre']; 
    } 
    else {  
        $atri1_id='0';
        $atri1='';
    }

    $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_art_id2='$art_id' and atri_id2='$atributo2'");
    $atri2 = mysqli_fetch_array($atri2);
    if (isset($atri2['atri_nombre2'])) { 
        $atri2_id=$atri2['atri_id2'];  
        $atri2=$atri2['atri_nombre2']; 
    } else { 
        $atri2_id='0';
        $atri2='';
    } 

    $atri='('.$atri1.' - '.$atri2.')';
    $atributos = str_replace ( "( - )", '', $atri);

?>
<div class="alert alert-danger alert-dismissable">
    <strong><?php echo $art_nombre;  echo ' '; echo $atri1; echo ' '; echo $atri2; ?></strong> 
</div>
    <table class="table table-striped table-bordered ">
        <thead>
            <tr>
                <td style="width: 8%">FACT N°</td>
                <td style="width: 20%">CLIENTE</td>
                <td style="width: 8%">CANTIDAD</td>
                <td>NOMBRE</td>
            </tr>
        </thead>
    <?php
        $cantidad_venta=0;
        
            $sql1=mysqli_query($con,"SELECT * from venta_detalle where art_art_id='$art_art_id'");
            while ($row1=mysqli_fetch_array($sql1))
            {
    ?>  
            <tr>
                <td ><?php //echo $reg1['ven_n_venta']; ?></td>
                <td ><?php// echo $reg1['ven_nombre']; ?></td>
                <td ><?php echo $row1['vend_cantidad_dev']; ?></td>
                <td ><?php echo $row1['vend_nombre']; ?></td>
            </tr>
    <?php 
                $cantidad=$row1['vend_cantidad'];
                $cantidad_venta+=$cantidad;
            }
    ?>
            <tr>
                <td></td>
                <th>TOTAL</th>
                <th><div class="alert alert-danger alert-dismissable"><?php echo $cantidad_venta; ?></div></th>
                <td></td>
            </tr> 
    </table> 

</br></br>
<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <td style="width: 8%">COMPRA N°</td>
            <td style="width: 20%">PROVEEDOR</td>
            <td style="width: 8%">CANTIDAD</td>
            <td>NOMBRE</td>
        </tr>
    </thead>
<?php
    $cantidad_compras=0; 
   
        $sql2=mysqli_query($con,"SELECT * from compra_detalle where  comd_art_id='$art_id' and atributo1='$atri1_id' and atributo2='$atri2_id'");
        while ($row2=mysqli_fetch_array($sql2))
        {
?>  
        <tr>
            <td ><?php //echo $reg2['com_n_compra']; ?></td>
            <td ><?php //echo $reg2['proveedor_nombre']; ?></td>
            <td ><?php echo $row2['comd_cantidad']; ?></td>
            <td ><?php echo $row2['comd_nombre']; ?></td>
        </tr>
<?php  
            $ccantidad=$row2['comd_cantidad'];
            $cantidad_compras+=$ccantidad;
        }
?>  
        <tr>
            <td ></td>
            <td ></td>
            <th >TOTAL</th>
            <th ><div class="alert alert-success alert-dismissable"><?php echo $cantidad_compras; ?></div></th>
        </tr>
</table> 

</br>
<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <td style="width: 8%">#</td>
            <td style="width: 20%">TIPO DE AJUSTE</td>
            <td style="width: 8%">CANTIDAD</td>
            <td >NOMBRE</td>
        </tr>
    </thead>
<?php
    $cantidad_ajuste_sal=0;

  
        $sql3=mysqli_query($con,"SELECT * from ajuste_detalle where ajud_tipo='Salida'  AND art_id_bod='$art_art_id'");
        while ($row3=mysqli_fetch_array($sql3))
        {
?>  
        <tr>
            <td ><?php //echo $reg3['aju_id']; ?></td>
            <td ><?php echo $row3['ajud_tipo']; ?></td>
            <td ><?php echo $row3['ajud_cantidad']; ?></td>
            <td ><?php echo $row3['ajud_nombre']; ?></td>
        </tr>
<?php 
            $cantidad=$row3['ajud_cantidad'];
            $cantidad_ajuste_sal+=$cantidad;
        } 
        ?> 
        <tr>
            <td ></td>
            <th>TOTAL</th>
            <th ><div class="alert alert-danger alert-dismissable"><?php echo $cantidad_ajuste_sal; ?></div></th>
            <td ></td>

        </tr>

        <?php
    $cantidad_ajuste_entrada=0;

  
        $sql4=mysqli_query($con,"SELECT * from ajuste_detalle where ajud_tipo='Entrada' AND art_id_bod='$art_art_id'");
        while ($row4=mysqli_fetch_array($sql4))
        {
?>  
        <tr>
            <td ><?php //echo $reg4['aju_id']; ?></td>
            <td ><?php echo $row4['ajud_tipo']; ?></td>
            <td ><?php echo $row4['ajud_cantidad']; ?></td>
            <td ><?php echo $row4['ajud_nombre']; ?></td>
        </tr>
<?php 
            $cantidad=$row4['ajud_cantidad'];
            $cantidad_ajuste_entrada+=$cantidad;
        } 
        ?> 
        <tr>
            <td ></td>
            <th>TOTAL</th>
            <td ></td>
            <th ><div class="alert alert-success alert-dismissable"><?php echo $cantidad_ajuste_entrada; ?></div></th>


        </tr>
    </table> 
<div class="alert alert-warning alert-dismissable"><?php 
$suma=$cantidad_compras+$cantidad_ajuste_entrada;
$resta=$cantidad_venta+$cantidad_ajuste_sal;

echo 'existencia ='; echo $art_cantidad;
echo '</br>';
echo 'real =';echo $resultado=$suma-$resta; 
echo '</br>';

if($resultado==$art_cantidad)
{
    echo 'todo bn';
}
else if ($resultado>$art_cantidad)
{
    echo 'entrada';
  echo  $entrada=$resultado-$art_cantidad;

    $insert_tmp=mysqli_query($con, "INSERT INTO ajuste_detalle_temp (art_id_bod,ajud_art_id,ajud_referencia,ajud_nombre,ajud_cantidad,ajud_tipo,detallado,usuario,empresa) 
    VALUES ('$art_art_id','$art_id','$art_referencia','$art_nombre $atributos','$entrada','Entrada','no','1','$empresa')");

}
else if ($resultado<$art_cantidad)
{
    echo 'salida';
 echo   $salida=$art_cantidad-$resultado;
    $insert_tmp=mysqli_query($con, "INSERT INTO ajuste_detalle_temp (art_id_bod,ajud_art_id,ajud_referencia,ajud_nombre,ajud_cantidad,ajud_tipo,detallado,usuario,empresa) 
    VALUES ('$art_art_id','$art_id','$art_referencia','$art_nombre $atributos','$salida','Salida','no','1','$empresa')");
}

?></div>
<?php   } } ?>   





                              




                            </div>
                        </div> <!-- /widget-content -->
                    </div>
                </div>
            </div> <!-- /widget -->
        </div></br></br>
    </div> <!-- /span6 -->
</div> <!-- /main -->
<?php
    include ('php_caja/caja_abrir.php');
    include ('script.php');
?>
<?php include ('php_reportes/form_inventario.php'); ?>
</body>
</html>
<?php
}
else
{
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>alert("primero debes Iniciar Cesion para ver esta pagina")</script>';
    echo '<script>location.href = "index.php";</script>';
}
?>